/*
 * The libflitter Package
 * -------------------------------------------------------------
 * The libflitter package provides the core collection of units required
 * to get Flitter off the ground. These units rely on a particular folder
 * structure that is passed to the units. Each unit does one task and only
 * one task. This helps keep Flitter extensible, changeable, and relatively
 * easy to understand.
 */
const libflitter = {
    App: require('./app/FlitterApp'),
}

module.exports = exports = libflitter
